%define pkg_name        XML-XPath
%define pkg_version     1.13
%define rpm_pkg_version 1.13
%define rpm_pkg_release 6.n0i.7

Summary:       A set of modules for parsing and evaluating XPath statements
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/M/MS/MSERGEANT/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
Requires:      perl(XML::Parser) >= 2.23
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(XML::Parser) >= 2.23}
%{!?_without_test:BuildRequires: perl(Test)}


%description
This module aims to comply exactly to the XPath specification at
http://www.w3.org/TR/xpath and yet allow extensions to be added in the form of
functions. Modules such as XSLT and XPointer may need to do this as they
support functionality beyond XPath.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files -b}
%doc README TODO


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.13-6.n0i.7
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- rebuild on perl 5.8.8

* Sat Jul 23 2005 Marius Feraru <altblue@n0i.net> 1.13-5.n0i.6
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:1.13-4.n0i.5
- automatic rebuild (perl 5.8.6)

* Mon Nov 29 2004 Marius FERARU <altblue@n0i.net> 0:1.13-4.n0i.4
- rebuild (perl 5.8.6)

* Mon Nov 22 2004 Marius Feraru <altblue@n0i.net> 0:1.13-3.n0i.3
- spec file (re?)created using N0i::CPAN::RPMizer/2004083101

* Sat Jan 24 2004 Marius FERARU <altblue@n0i.net> 0:1.13-0.n0i.2
- automatic rebuild (perl v.5.8.3)

* Wed Dec 31 2003 Marius FERARU <altblue@n0i.net> 0:1.13-0.n0i.1
- version 1.13
- spec file (re?)created using N0i::CPAN::RPMizer/2003102001
